| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::crit_action Class Referenceabstract
API

the global action for overwriting More...

`#include <criterium.hpp>`

Inherits libdar::on_pool.

Inherited by libdar::crit_chain, libdar::crit_constant_action, and libdar::testing.

## Public Member Functions
virtual | ~crit_action ()
| the destructor
virtual void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const =0
| the action to take based on the files to compare More...
virtual crit_action * | clone () const =0
| clone construction method More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the global action for overwriting

this class is a generic interface to handle what action to perform on both EA and Data based on two files to evaluate.

Definition at line 77 of file criterium.hpp.

## Member Function Documentation

virtual crit_action* libdar::crit_action::clone | ( |  | ) | const
| pure virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the action hierarchy class

Implemented in libdar::crit_chain, libdar::testing, and libdar::crit_constant_action.

virtual void libdar::crit_action::get_action | ( | const cat_nomme & | first,
|  | const cat_nomme & | second,
|  | over_action_data & | data,
|  | over_action_ea & | ea
| ) |  | const
| pure virtual

the action to take based on the files to compare

Parameters

  [in] | first | is the 'in place' inode
  [in] | second | is the 'to be added' inode
  [out] | data | is the action to perform with file's data
  [out] | ea | is the action to perform with file's EA

Implemented in libdar::crit_chain, libdar::testing, and libdar::crit_constant_action.

Referenced by libdar::testing::get_action().

The documentation for this class was generated from the following file:

- criterium.hpp